# Uses of Interface
org.opensaml.saml.common.binding.artifact.SAMLArtifactMap.SAMLArtifactMapEntryFactory

Packages that use SAMLArtifactMap.SAMLArtifactMapEntryFactory
Package
Description
org.opensaml.saml.common.binding.artifact.impl
Implementation of SAML artifact mapping.

## Uses of SAMLArtifactMap.SAMLArtifactMapEntryFactory in org.opensaml.saml.common.binding.artifact.impl

Classes in org.opensaml.saml.common.binding.artifact.impl that implement SAMLArtifactMap.SAMLArtifactMapEntryFactory
Modifier and Type
Class
Description
`class`
`ExpiringSAMLArtifactMapEntryFactory`
A factory for instances of `ExpiringSAMLArtifactMapEntry`.
`class`
`StorageServiceSAMLArtifactMapEntryFactory`
A factory and `StorageSerializer` for instances of `BasicSAMLArtifactMapEntry`.
Fields in org.opensaml.saml.common.binding.artifact.impl declared as SAMLArtifactMap.SAMLArtifactMapEntryFactory
Modifier and Type
Field
Description
`private SAMLArtifactMap.SAMLArtifactMapEntryFactory`
BasicSAMLArtifactMap.`entryFactory`
Factory for SAMLArtifactMapEntry instances.
`private SAMLArtifactMap.SAMLArtifactMapEntryFactory`
StorageServiceSAMLArtifactMap.`entryFactory`
Factory for SAMLArtifactMapEntry instances.
Methods in org.opensaml.saml.common.binding.artifact.impl that return SAMLArtifactMap.SAMLArtifactMapEntryFactory
Modifier and Type
Method
Description
`SAMLArtifactMap.SAMLArtifactMapEntryFactory`
BasicSAMLArtifactMap.`getEntryFactory()`
Get the map entry factory.
`SAMLArtifactMap.SAMLArtifactMapEntryFactory`
StorageServiceSAMLArtifactMap.`getEntryFactory()`
Get the map entry factory.
Methods in org.opensaml.saml.common.binding.artifact.impl with parameters of type SAMLArtifactMap.SAMLArtifactMapEntryFactory
Modifier and Type
Method
Description
`void`
BasicSAMLArtifactMap.`setEntryFactory(SAMLArtifactMap.SAMLArtifactMapEntryFactory factory)`
Set the map entry factory.
`void`
StorageServiceSAMLArtifactMap.`setEntryFactory(SAMLArtifactMap.SAMLArtifactMapEntryFactory factory)`
Set the map entry factory.